Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class PluginJUnitMainTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.pde.ui.launcher.AbstractLauncherTab
              org.eclipse.pde.ui.launcher.MainTab
                  org.eclipse.pde.ui.launcher.PluginJUnitMainTab

All Implemented Interfaces:
  ILaunchConfigurationTab, IPDELauncherConstants

    public class PluginJUnitMainTab

extends MainTab

A launch configuration tab that displays and edits the main launching arguments of a Plug-in JUnit test.

This class may be instantiated. This class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from class org.eclipse.pde.ui.launcher.MainTab
`fDataBlock, fJreBlock, fProgramBlock`

Fields inherited from interface org.eclipse.pde.launching.IPDELauncherConstants

`ADDITIONAL_PLUGINS, APP_TO_TEST, APPLICATION, ASKCLEAR, AUTOMATIC_ADD, AUTOMATIC_VALIDATE, BOOTSTRAP_ENTRIES, CONFIG_CLEAR_AREA, CONFIG_GENERATE_DEFAULT, CONFIG_LOCATION, CONFIG_TEMPLATE_LOCATION, CONFIG_USE_DEFAULT_AREA, DEFAULT_AUTO_START, DEFAULT_START_LEVEL, DEFINED_TARGET, DESELECTED_WORKSPACE_PLUGINS, DOCLEAR, ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE, FEATURE_DEFAULT_LOCATION, FEATURE_PLUGIN_RESOLUTION, GENERATE_PROFILE, INCLUDE_OPTIONAL, LOCATION, LOCATION_DEFAULT, LOCATION_EXTERNAL, LOCATION_WORKSPACE, OSGI_CONFIGURATION_TYPE, OSGI_FRAMEWORK_ID, PRODUCT, PRODUCT_FILE, RUN_IN_UI_THREAD, SELECTED_FEATURES, SELECTED_TARGET_PLUGINS, SELECTED_WORKSPACE_PLUGINS, SHOW_SELECTED_ONLY, TAB_BUNDLES_ID, TAB_CONFIGURATION_ID, TAB_MAIN_ID, TAB_OSGI_SETTINGS_ID, TAB_PLUGIN_JUNIT_MAIN_ID, TAB_PLUGINS_ID, TAB_TEST_ID, TAB_TRACING_ID, TARGET_BUNDLES, TRACING, TRACING_CHECKED, TRACING_NONE, TRACING_OPTIONS, TRACING_SELECTED_PLUGIN, USE_CUSTOM_FEATURES, USE_DEFAULT, USE_PRODUCT, USEFEATURES, VMINSTALL, WORKSPACE_BUNDLES`

Constructor Summary
`PluginJUnitMainTab()`

Method Summary
`protected void` `createProgramBlock()` Overrides the implementation of the basis MainTab.
`String` `getId()`
`void` `initializeFrom(ILaunchConfiguration config)`
`void` `performApply(ILaunchConfigurationWorkingCopy config)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)`

Methods inherited from class org.eclipse.pde.ui.launcher.MainTab
`applyData, createControl, createJREBlock, createWorkspaceDataBlock, dispose, getImage, getName, validateTab`

Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab
`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginJUnitMainTab

    public PluginJUnitMainTab()

Method Detail

### createProgramBlock

    protected void createProgramBlock()

  Overrides the implementation of the basis MainTab.

  Overrides:
    `createProgramBlock` in class `MainTab`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

  Specified by:
    `initializeFrom` in interface `ILaunchConfigurationTab`
  Overrides:
    `initializeFrom` in class `MainTab`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

  Specified by:
    `setDefaults` in interface `ILaunchConfigurationTab`
  Overrides:
    `setDefaults` in class `MainTab`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

  Specified by:
    `performApply` in interface `ILaunchConfigurationTab`
  Overrides:
    `performApply` in class `MainTab`

### getId

    public String getId()

  Overrides:
    `getId` in class `MainTab`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.